plugins {
    id 'java'
    id 'application'
    id 'maven-publish'
}

repositories {
    jcenter()
}

dependencies {
    implementation 'com.google.guava:guava:28.1-jre'

    testImplementation 'junit:junit:4.12'
}

application {
    mainClassName = '<%= options[:name] %>.App'
}

group 'gl.pru'
version '<%= options[:version] %>'


publishing {
    publications {
        maven(MavenPublication) {
            from(components.java)
        }
    }

    repositories {
        maven {
            credentials(HttpHeaderCredentials) {
              url "<%= options[:url] %>"
              name = "Private-Token"
              value = "<%= options[:token] %>"
            }
            authentication {
              header(HttpHeaderAuthentication)
            }
        }
    }

}
